Name:          giflib
Version:       5.2.1
Release:       2
Summary:       A library and utilities for processing GIFs
License:       MIT
URL:           http://www.sourceforge.net/projects/giflib/
Source:        http://downloads.sourceforge.net/giflib/giflib-%{version}.tar.gz

Patch6001:     giflib_quantize.patch
Patch6002:     giflib_coverity.patch
Patch6003:     giflib_html-docs-consistent-ids.patch

BuildRequires: make xmlto gcc
provides:      giflib-utils = %{name}-%{version}
Obsoletes:     giflib-utils < %{name}-%{version}

%description
giflib is a library of gif images and provides utilities for processing images.

%package       devel
Summary:       files for developing programs which use the giflib library
Requires:      %{name} = %{version}-%{release}

%description   devel
development header files, libraries for programs using the giflib library.

%package       utils
Summary:       Programs for manipulating GIF format image files
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description   utils
The giflib-utils package contains various programs for manipulating GIF
format image files.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%make_build CFLAGS="%{optflags} -fPIC" LDFLAGS="%{__global_ldflags}"

%install
%make_install PREFIX="%{_prefix}" LIBDIR="%{_libdir}"
rm -f %{buildroot}%{_libdir}/libgif.a

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%doc ChangeLog NEWS README
%license COPYING
%{_libdir}/libgif.so.7*

%files devel
%defattr(-,root,root)
%doc doc/*
%{_libdir}/libgif.so
%{_includedir}/gif_lib.h

%files help
%defattr(-,root,root)
%{_mandir}/man1/gif*.1*

%files utils
%{_bindir}/gif*

%changelog
* Thu May 20 2021 liuyumeng <liuyumeng5@huawei.com> - 5.2.1-2
- ADD a package named utils

* Tue Apr 14 2020 zhangrui <zhangrui182@huawei.com> - 5.2.1-1
- Update to 5.2.1

* Wed Jan 15 2020 openEuler Buildteam <buildteam@openeuler.org> - 5.1.4-6
- add the require for devel

* Tue Dec 24 2019 openEuler Buildteam <buildteam@openeuler.org> - 5.1.4-5
- change the path of files

* Sat Dec 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 5.1.4-4
- Type:cves
- ID:NA
- SUG:NA
- DESC:Add CVE patches

* Tue Sep 10 2019 Lijin Yang <yanglijin@huawei.com> - 5.1.4-3
- Package init
